# Package org.apache.ignite.internal.processors.cache.distributed.near.consistency

Class Summary
GridCompoundReadRepairFuture: Compound future that represents the result of the external fixes for some keys.
GridNearReadRepairAbstractFuture
GridNearReadRepairAbstractFuture.ByteArrayWrapper
GridNearReadRepairCheckOnlyFuture: Checks data consistency.
GridNearReadRepairFuture: Checks data consistency.

Exception Summary
IgniteConsistencyViolationException: Consistency violation exception.
IgniteIrreparableConsistencyViolationException: Irreparable consistency violation exception.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022